Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class ComparisonExpression.LikeExpression

    java.lang.Object
      org.codehaus.activemq.filter.UnaryExpression
          org.codehaus.activemq.filter.ComparisonExpression.LikeExpression

All Implemented Interfaces:
  BooleanExpression, Expression

Enclosing class:
  ComparisonExpression

static class ComparisonExpression.LikeExpression
extends UnaryExpression
implements BooleanExpression

Nested Class Summary

Nested classes inherited from class org.codehaus.activemq.filter.UnaryExpression
`UnaryExpression.BooleanUnaryExpression`

Field Summary
`(package private) java.util.regex.Pattern` | `likePattern`

Fields inherited from class org.codehaus.activemq.filter.UnaryExpression
`right`

Constructor Summary
`ComparisonExpression.LikeExpression(Expression right, java.lang.String like, int escape)`

Method Summary
`java.lang.Object` | `evaluate(Message message)`
`java.lang.String` | `getExpressionSymbol()` Returns the symbol that represents this binary expression.

Methods inherited from class org.codehaus.activemq.filter.UnaryExpression
`createNegate, createNOT, equals, getRight, hashCode, setRight, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### likePattern

    java.util.regex.Pattern likePattern

Constructor Detail

### ComparisonExpression.LikeExpression

    public ComparisonExpression.LikeExpression(Expression right,
                                               java.lang.String like,
                                               int escape)

Method Detail

### getExpressionSymbol

    public java.lang.String getExpressionSymbol()

  Description copied from class: `UnaryExpression`
  Returns the symbol that represents this binary expression. For example, addition is represented by "+"

  Specified by:
    `getExpressionSymbol` in class `UnaryExpression`
  Returns:
  See Also:
    `UnaryExpression.getExpressionSymbol()`

### evaluate

    public java.lang.Object evaluate(Message message)
                              throws JMSException

  Specified by:
    `evaluate` in interface `Expression`
  Returns:
    the value of this expression
  Throws:
    `JMSException`
  See Also:
    `Expression.evaluate(javax.jms.Message)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.